﻿@using Jumbula.Common.Helper
@using Jumbula.Core.Domain
@model SportsClub.Models.OrderItemFollowUpFormViewModel

@{
    ViewBag.Title = "Follow-Up Form";
    ViewBag.IsRegistrantReport = true;
}

<div class="container">
    <div class="title-page">
        <h1>
            Follow-up form

        </h1>
    </div>

    <div id="order">
        <div class="row order">

            <div class="col-sm-12">

                <div class="clearfix"></div>
                @if (Model.FollowUpForms != null && Model.FollowUpForms.Any())
                {

                    <table class="table">
                        <thead>
                            <tr>
                                <th>
                                    Title
                                </th>
                                <th>
                                    Status
                                </th>
                                <th>

                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var form in Model.FollowUpForms)
                            {
                                <tr>
                                    <td>
                                        @form.Title
                                    </td>
                                    <td>
                                        @form.Status.ToDescription()
                                    </td>
                                    <td>
                                        @if (form.Status == FollowupStatus.Completed && Model.ItemStatusReasons != OrderItemStatusReasons.transferOut && form.Type != FormType.UploadForm)
                                        {
                                            <text>
                                                @Html.Raw(string.Format("<a href={0}>View/Edit</a>", form.Link))
                                            </text>
                                        }
                                        else if (Model.ItemStatusReasons == OrderItemStatusReasons.transferOut)
                                        {
                                            <span>-</span>
                                        }
                                        else if (form.Type != FormType.UploadForm)
                                        {
                                            <text>
                                                @Html.Raw(string.Format("<a href={0}>Fill it now</a>", form.Link))
                                            </text>
                                        }
                                        else if (form.Type == FormType.UploadForm)
                                        {
                                            <text>
                                                @Html.Raw(string.Format("<a href={0}>Download</a>", form.Link)) -
                                            </text>

                                            @Html.Raw(string.Format("<a href={0}>Upload</a>", Url.Action("UploadFollowUpForm", "FollowupForm", new { orderItemId = Model.OrderItemId, formId = form.Id, uId = form.Guid })))
                                        }
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                }
                else
                {
                    <div>No data found</div>
                }
                <div class="clearfix"></div>
                <a href="@Url.Action("Dashboard", "Registrant")" class="btn btn-primary pull-left back-to-dashboard">Back</a>
                <div class="clearfix"></div>

            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>
@section Styles{
    @Styles.Render("~/bundles/orderStyles")
    @*<link href="~/Content/Student/Dashboard/Order.css" rel="stylesheet" />*@
}
